Subject: Re: Perl 5.004
From: [email-masked] (Jim Pick)

1 Jun 1997 21:26:40 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Mailer: exmh version 2.0gamma 1/27/96
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: Your message of "Sun, 01 Jun 1997 05:06:41 MDT."
             <[email-masked]> 
X-Url: http://www.jimpick.com/
X-Face: Hz"C77\53<,u1}C~=DFwS#Ddj161XLl6W!3g7xjxh*P'`FF^-IYQXX$a*WC~=^8rvy"~<3z
 UeQqGo&KZe[}lJg`\+SDMGRVIUJ~P,#(=w~yYv{g9i%"k|\J|jYVvv^Bzfwo=@AddrDMO<xV_IAl`(
 TW7;|vH6Kik(,iljluXex0vrnM: SedI@lbAeNvM
Mime-Version: 1.0
Content-Type: multipart/signed; boundary="==_Exmh_921629800P";
	micalg=pgp-md5; protocol="application/pgp-signature"
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

--==_Exmh_921629800P
Content-Type: text/plain; charset=us-ascii

> Has anyone managed to build perl5.004 from the sources on Win95 with b18?

I just did it (thanks to this e-mail).

> After a few hours of struggle, I have what seems to be a working
> perl.exe. However, I get a syntax error in compiling Fcntl.c, which is
> part of the module library.
> 
> The syntax error is reported in op.h, but it seems to come from the
> inclusion of cw32imp.h, which is caused by the definition of
> DLLIMPORT.

I commented out the line:

/* #define  Perl_op   (*__imp_Perl_op) */

in cw32imp.h - I'm not sure about what side-effects this has.
 
> I followed the installation instructions, but that was not sufficient
> to build perl.exe. Specifically, I copied hints/cygwin32.sh to
> config.sh and ran "sh ./Configure -d."

One thing they neglect to mention is that you should do a chmod u+w
on it - or you'll end up having to run Configure a second time when
you find that it can't write out to that file.

>  I had problems because
>    gcc -print-file-name=foo.a
> produces pathnames with a mixture of slashes and backslashes. (I
> modified perlgcc to circumvent the problem.)

I did too - here's the patch:

--- ../perl-munged/perlgcc      Wed Aug 20 21:53:34 1930
+++ perlgcc     Sat Dec  9 21:53:46 1916
@@ -48,8 +48,10 @@
 
 # get the full path name of a few libs:
 my $crt0 = `gcc -print-file-name=crt0.o`;
+$crt0 =~ s/\\/\//g;
 chomp $crt0;
 my $libdir = `gcc -print-file-name=libcygwin.a`;
+$libdir =~ s/\\/\//g;
 chomp $libdir;
 $libdir =~ s/libcygwin\.a//g;

> Also, GNUmakefile did not define CYGWIN32, which resulted in linking
> errors. For that, I added the missing declaration in the hints file.

I didn't have that problem.

I have one additional problem:

I've got a perl.exe in my /usr/local/perl directory (where I built it),
and it works when I run it from there.  But when I install it into
/usr/local/bin/perl.exe, it doesn't run (or at least doesn't return
any output).  Am I missing something?

Cheers,

 - Jim

--==_Exmh_921629800P
Content-Type: application/pgp-signature

--==_Exmh_921629800P--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".